Doomsday Engine - Feature #1767

Network delta profiler
2014-04-18 08:35 - skyjake

Status: New Start date: 2014-04-18
Priority: High % Done: 0%
Assignee:

Category: Enhancement

Target version: Multiplayer

Description

In a multiplayer game, the server will periodically determine what has changed in the game world and send out notifications about the
changes to the clients. The purpose of a delta profiler is to track the amount and quality of data sent, and make it possible to improve
the quality of the delta stream so that the client gameplay experience is better.

There could be a visual display of the delta statistics (cf. memory zone debug).

Related issues:

Related to Feature #9: Use local server to run single-player games Progressed 2014-04-18
Related to Feature #1764: DMU 2.0: Generate network deltas New 2014-04-18
Related to Feature #1962: Revised network protocol based on libshell New 2015-02-11
History

#1 - 2015-05-16 21:45 - skyjake
- Priority changed from Normal to High

#2 - 2016-03-27 07:44 - skyjake
- Related to Feature #1962: Revised network protocol based on libshell added

#3 - 2019-11-29 12:33 - skyjake

- Target version set to Multiplayer
